Summary:	GNOME System Tools backends
Summary(pl.UTF-8):	Backendy GNOME System Tools (narzędzi systemowych GNOME)
Name:		system-tools-backends
Version:	2.10.2
Release:	5
License:	LGPL v2+
Group:		Applications/System
Source0:	http://ftp.gnome.org/pub/GNOME/sources/system-tools-backends/2.10/%{name}-%{version}.tar.bz2
# Source0-md5:	edae148b31342aecae035051adc70c74
Patch0:		%{name}-logindefs.patch
Patch1:		%{name}-incompatible-gpasswd.patch
URL:		http://www.gnome.org/projects/gst/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.1.2
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	perl-base
# to avoid building internal Net::DBus module
BuildRequires:	perl-Net-DBus >= 0.33.5
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.94
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	dbus >= 1.1.2
Requires:	dbus-glib >= 0.74
Requires:	glib2 >= 1:2.16.0
Requires:	perl-Net-DBus >= 0.33.5
Requires:	polkit >= 0.94
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Backends for GNOME System Tools.

%description -l pl.UTF-8
Backendy dla GNOME System Tools (narzędzi systemowych GNOME).

%package devel
Summary:	Development files for GNOME System Tools backends
Summary(pl.UTF-8):	Pliki programistyczne dla backendów narzędzi systemowych GNOME
Group:		Development/Libraries
# doesn't require base; the only file is pkg-config specific, so let's require it
Requires:	pkgconfig

%description devel
This package contains files needed for GNOME System Tools backends
related development.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne przy programowaniu związanym z
backendami GNOME System Tools (narzędzi systemowych GNOME).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-stb-group=adm
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerun -- system-tools-backends < 2.8.0
%service system-tools-backends stop
/sbin/chkconfig --del system-tools-backends

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/system-tools-backends
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus-1/system.d/org.freedesktop.SystemToolsBackends.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.SystemToolsBackends.service
%{_datadir}/dbus-1/system-services/org.freedesktop.SystemToolsBackends.*.service
%{_datadir}/polkit-1/actions/org.freedesktop.SystemToolsBackends.policy
%dir %{_datadir}/%{name}-2.0
%dir %{_datadir}/%{name}-2.0/files
%{_datadir}/%{name}-2.0/files/general_gprs_chatscript
%{_datadir}/%{name}-2.0/files/general_isdn_ppp_options
%{_datadir}/%{name}-2.0/files/general_pppoe_ppp_options
%dir %{_datadir}/%{name}-2.0/scripts
%attr(755,root,root) %{_datadir}/%{name}-2.0/scripts/SystemToolsBackends.pl
%{_datadir}/%{name}-2.0/scripts/*.pm
%{_datadir}/%{name}-2.0/scripts/Init
%{_datadir}/%{name}-2.0/scripts/Network
%{_datadir}/%{name}-2.0/scripts/Shares
%{_datadir}/%{name}-2.0/scripts/Time
%{_datadir}/%{name}-2.0/scripts/Users
%{_datadir}/%{name}-2.0/scripts/Utils

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/system-tools-backends-2.0.pc
%changelog
* Sat Apr 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/system-tools-backends.git;a=log;h=master

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 5badf1d
- fix building translations
- rel 5

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 2a4416c
- release 4 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 048c471
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ed13c2f
- updated gettext BR

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 8528639
- release 2

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 2d763ee
- separated -devel (as it doesn't require base)
- updated/completed dependencies

* Fri Apr 08 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 2ea5c2b
- updated to 2.10.2

* Thu Oct 21 2010 qwiat <qwiat@pld-linux.org> a677f6f
- updated to 2.10.1

* Fri Apr 02 2010 Szymon Siwek <sls@pld-linux.org> 1266b17
- ver. 2.10.0

* Mon Mar 15 2010 Elan Ruusamäe <glen@pld-linux.org> 138a21c
- ppp options should not be executable, fix duplicate files; rel 2

* Mon Dec 21 2009 Marcin Banasiak <marcin.banasiak@gmail.com> ea9414e
- updated to 2.8.3

* Tue Dec 01 2009 sparky <sparky@pld-linux.org> 88829ec
- BR: gettext-devel, intltool

* Sat Sep 26 2009 Patryk Zawadzki <patrys@room-303.com> ef4bb5b
- merged from DEVEL

* Thu Jul 30 2009 Patryk Zawadzki <patrys@room-303.com> 6d7b998
- 2.6.1

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d311fbe
- drop obsolete files

* Tue Mar 11 2008 Patryk Zawadzki <patrys@room-303.com> 17fbee3
- package gprs chat script

* Wed Nov 14 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 85fbb7d
- release 2

* Thu Nov 01 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 89a37d9
- added incompatible-gpasswd patch

* Thu Nov 01 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 9a48696
- gpasswd from pwdutils has no -a and -d option. Use groupmod.

* Thu Oct 04 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 9c593d9
- updated to 2.4.1

